# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    App-Raps2
%define upstream_version 0.54

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_4

Summary:    Password class for App::Raps2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp.pm)
BuildRequires: perl(Config/Tiny.pm)
BuildRequires: perl(Crypt/CBC.pm)
BuildRequires: perl(Crypt/Eksblowfish.pm)
BuildRequires: perl(Crypt/Eksblowfish/Bcrypt.pm)
BuildRequires: perl(File/BaseDir.pm)
BuildRequires: perl(File/Path.pm)
BuildRequires: perl(File/Slurp.pm)
BuildRequires: perl(Getopt/Long.pm)
BuildRequires: perl(POSIX.pm)
BuildRequires: perl(Term/ReadLine.pm)
BuildRequires: perl(Test/Compile.pm)
BuildRequires: perl(Test/Fatal.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl(Test/Pod.pm)
BuildRequires: perl(Module/Build.pm)
BuildArch: noarch
Source44: import.info

%description
*App::Raps2* is the backend for *raps2*, a simple commandline password
safe.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changelog COPYING SIGNATURE META.yml README
%{_bindir}/raps2
%{_mandir}/man1/*
%{perl_vendor_privlib}/*
/usr/bin/raps2
/usr/share/man/man1/raps2.1*



%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.54-alt1_4
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.54-alt1_3
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.54-alt1_2
- update by mgaimport

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.54-alt1_1
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.53-alt3_6
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.53-alt3_5
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.53-alt3_4
- rebuild to get rid of unmets

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.53-alt2_4
- mga update

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 0.53-alt2_3
- rebuild to get rid of unmets

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1_3
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.53-alt1_2
- converted for ALT Linux by srpmconvert tools

